1. me
new-brevet
  • auth
    • register
      POST
    • login
      POST
    • verification
      POST
    • resend verification
      POST
    • refresh token
      POST
    • logout
      DELETE
  • upload
    • upload documents
      POST
    • delete file
      DELETE
    • upload image
      POST
  • user
    • get all user
      GET
    • me
      GET
    • update my profile
      PUT
    • update user
      PUT
    • create user
      POST
    • delete user
      DELETE
  • blog
    • get all blogs
    • get blog by slug
    • update blog
    • create blog
    • delete blog
  • batch
    • get batch by slug
    • get all batch
    • get quota remaining
    • get all batch by course slug
    • Get All purchases Copy
    • Get All students
    • delete batch
    • create batch
    • update batch
  • group
    • get all group
    • get group by id
  • course
    • get all course
    • get course by slug
    • create course
    • update course
    • update course Copy
  • testimonial
    • get all testimonial by batch slug
    • get all testimonial
    • get testimonial by id
    • create testimonial
    • update testimonial
    • delete testimonial
  • purchase
    • Get All purchases
    • Get purchase by id
    • update status payment
  • me
    • Get All purchases Copy
      GET
    • Get all upcoming assignments
      GET
    • Get all upcoming quiz
      GET
    • Get purchase by id Copy
      GET
    • me
      GET
    • Get All score by batch id
      GET
    • Get My batch
      GET
    • generate my certificate by batch id
      POST
    • Get My certificate by batch id
      GET
    • Get progress by batch id
      GET
    • create purchase
      POST
    • cancel payment
      PATCH
    • upload payment
      PATCH
    • update my profile Copy
      PATCH
  • meeting
    • Get All Meetings
    • Get All meetings by batch slug
    • Get meeting by id
    • Get All teachers by meeting id
    • create meeting
    • update meeting
    • Delete meeting
    • assign teacher
    • update assign teacher (replace all)
    • unassign teacher from meeting
  • assignments
    • Get All Assignments
    • Get Assignment by id
    • Get All Assignments by meeting id
    • create assignment
    • update assignment
    • delete assignment
  • materials
    • Get All Materials
    • Get Material by id
    • Get All Materials by meeting id
    • create material
    • update material
    • delete material
  • attendance
    • Get All Attendances
    • Get All Attendances by batch slug
    • Get Attendance by ID
    • create attendance
  • certificate
    • Get certificate by cert id (admin, guru)
    • Get certificate for public (check if asli) Copy
    • Get certificate by batch id (admin, guru)
    • Get certificate by number for public
  • quiz
    • Get quiz by id
    • Get attempt active
    • get list of attempt in quiz
    • Get question by quiz id
    • get quiz by meeting id
    • Get attempt
    • Get attempt result
    • create quiz
    • update quiz
    • delete quiz
    • upload soal
    • start attempt quiz
    • submit attempt quiz
    • temporer submit
  • submission
    • Get detail submission
    • Get All Submissions by assigment id
    • Get submission grade
    • Get template excel grading
    • create submission
    • Grading with excel
    • grade submission
    • update submission
    • delete submission
  • score
    • get score by batch slug and student id
  • dashboard
    • admin
      • Get dashboard admin
      • Get revenue chart
      • Get pending payment
      • Get batch progress
      • Get teacher workload
      • Get certificate stats
      • Get recent activities
    • teacher
      • Get dashboard Teacher
    • student
      • Get dashboard student
      • Get dashboard Score
  1. me

generate my certificate by batch id

Developing
POST
{{url}}/api/v1/me/batches/eac2a0dd-5b07-4766-b51e-3a7bf25f245f/certificate

Request

Query Params

Header Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST '{{url}}/api/v1/me/batches/eac2a0dd-5b07-4766-b51e-3a7bf25f245f/certificate' \
--header 'Authorization: Bearer {{token}}'
Response Response Example
{
    "data": [
        {
            "id": "string",
            "payment_status": "string",
            "user_id": "string",
            "batch_id": "string",
            "price_id": "string",
            "expired_at": "string",
            "created_at": "string",
            "updated_at": "string"
        }
    ],
    "message": "string",
    "meta": {
        "limit": 0,
        "page": 0,
        "total": 0,
        "total_pages": 0
    },
    "success": true
}
Modified at 2025-10-26 09:27:45
Previous
Get My batch
Next
Get My certificate by batch id
Built with